module TreasureHunt
  require 'treasure_game/clumsy_player'

  describe ClumsyPlayer do
    before do
      @player = ClumsyPlayer.new('sms boy')
    end
    
    it 'only gets half the point value for each treasure' do
      expect(@player.points).to eq(0)

      guitar = Treasure.new(:guitar, 50)
      @player.found_treasure(guitar)
      @player.found_treasure(guitar)
      @player.found_treasure(guitar)

      expect(@player.points).to eq(75)

      ruby = Treasure.new(:ruby, 400)
      @player.found_treasure(ruby)
      
      expect(@player.points).to eq(275)
      
      yielded = []
      @player.each_found_treasure do |treasure|
        yielded << treasure
      end

      expect(yielded).to eq([Treasure.new(:guitar, 75), Treasure.new(:ruby, 200)])
    end

    context 'with a boost' do
      before do
        @initial_health = 100
        @boost = 5
        @player = ClumsyPlayer.new('sms boy', @initial_health, @boost)
      end
      
      it 'has been boosted' do
        expect(@player.boost).to eq(5)
      end

      it 'gets boost times the number of heal\'s when healed' do
        @player.heal
        expect(@player.health).to eq(@initial_health + (15 * @boost))
      end
    end

  end
end