module TreasureHunt
  require 'treasure_game/treasure_hunt'

  describe Treasure do
    before do
      @treasure = Treasure.new(:guitar, 50)
    end

    it 'has a name attribute' do
      expect(@treasure.name).to eq(:guitar)
    end

    it 'has a points attribute' do
      expect(@treasure.points).to eq(50)
    end
  end

  describe TreasureHunt do
    it 'has six treasures' do
      expect(TreasureHunt::TREASURES.size).to eq(6)
    end

    it 'has grass worth 5 points' do
      expect(TreasureHunt::TREASURES[0]).to eq(Treasure.new(:grass, 5))
    end

    it 'has a bottle worth 25 points' do
      expect(TreasureHunt::TREASURES[1]).to eq(Treasure.new(:bottle, 25))
    end

    it 'has a guitar worth 50 points' do
      expect(TreasureHunt::TREASURES[2]).to eq(Treasure.new(:guitar, 50))
    end

    it 'has cash worth 100 points' do
      expect(TreasureHunt::TREASURES[3]).to eq(Treasure.new(:cash, 100))
    end

    it 'has a painting worth 200 points' do
      expect(TreasureHunt::TREASURES[4]).to eq(Treasure.new(:painting, 200))
    end

    it 'has a ruby worth 400 points' do
      expect(TreasureHunt::TREASURES[5]).to eq(Treasure.new(:ruby, 400))
    end

    it 'returns a random treasure' do
      treasure = TreasureHunt.random
      expect(TreasureHunt::TREASURES).to include(treasure)
    end
  end
end